org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator

## Class LimitedSizeBottomUpJoinIterator

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.BottomUpJoinIterator
      - - org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator.LimitedSizeBottomUpJoinIterator

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

  Deprecated.
  replaced by LimitedSizeHashJoinIteration

      @Deprecated
      public class LimitedSizeBottomUpJoinIterator
      extends BottomUpJoinIterator

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitedSizeBottomUpJoinIterator(EvaluationStrategy limitedSizeEvaluationStrategy, Join join, BindingSet bindings, AtomicLong used, long maxSize)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(List<BindingSet> leftArgResults, BindingSet b)` Deprecated.
    `protected void` | `addAll(List<BindingSet> hashTableValues, List<BindingSet> values)` Deprecated.
    `protected void` | `handleClose()` Deprecated. Called by `AbstractCloseableIteration.close()` when it is called for the first time.
    `protected void` | `put(Map<BindingSet,List<BindingSet>> hashTable, BindingSet hashKey, List<BindingSet> hashValue)` Deprecated.
    `protected BindingSet` | `removeFirstElement(List<BindingSet> list)` Deprecated. Remove the first (0 index) element from a BindingSet list.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.BottomUpJoinIterator

      `clearHashTable, getNextElement, makeList, makeList, makeMap`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### LimitedSizeBottomUpJoinIterator

          public LimitedSizeBottomUpJoinIterator(EvaluationStrategy limitedSizeEvaluationStrategy,
                                                 Join join,
                                                 BindingSet bindings,
                                                 AtomicLong used,
                                                 long maxSize)
                                          throws QueryEvaluationException

      Deprecated.
      Parameters:
        `limitedSizeEvaluationStrategy` -
        `join` -
        `bindings` -
        `used` -
        `maxSize` -
      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### addAll

          protected void addAll(List<BindingSet> hashTableValues,
                                List<BindingSet> values)
                         throws QueryEvaluationException

      Deprecated.
      Overrides:
        `addAll` in class `BottomUpJoinIterator`
      Throws:
        `QueryEvaluationException`

    - #### add

          protected void add(List<BindingSet> leftArgResults,
                             BindingSet b)
                      throws QueryEvaluationException

      Deprecated.
      Overrides:
        `add` in class `BottomUpJoinIterator`
      Throws:
        `QueryEvaluationException`

    - #### removeFirstElement

          protected BindingSet removeFirstElement(List<BindingSet> list)
                                           throws QueryEvaluationException

      Deprecated.
      Description copied from class: `BottomUpJoinIterator`
      Remove the first (0 index) element from a BindingSet list.
      Overrides:
        `removeFirstElement` in class `BottomUpJoinIterator`
      Parameters:
        `list` - which is worked on.
      Returns:
        the removed BindingSet
      Throws:
        `QueryEvaluationException`

    - #### put

          protected void put(Map<BindingSet,List<BindingSet>> hashTable,
                             BindingSet hashKey,
                             List<BindingSet> hashValue)
                      throws QueryEvaluationException

      Deprecated.
      Overrides:
        `put` in class `BottomUpJoinIterator`
      Throws:
        `QueryEvaluationException`

    - #### handleClose

          protected void handleClose()
                              throws QueryEvaluationException

      Deprecated.
      Description copied from class: `AbstractCloseableIteration`
      Called by `AbstractCloseableIteration.close()` when it is called for the first time. This method is only called once on each iteration. By default, this method does nothing.
      Overrides:
        `handleClose` in class `BottomUpJoinIterator`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.